@echo off

SET sn="C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin\sn.exe"
set gacutil="C:\Program Files\Microsoft Visual Studio 8\SDK\v2.0\Bin\gacutil.exe"
set msbuild=c:\windows\Microsoft.NET\Framework\v2.0.50727\MSBuild.exe
set dxver=v7.2
set configuration=Debug

if exist DevExpress.Key\StrongKey.snk goto build
echo Generating strong key
%sn% -k DevExpress.Key\StrongKey.snk

:build

call buildproject.cmd DevExpress.Data.%dxver%.Compact ".\DevExpress.Data.Compact\DevExpress.Data.Compact.csproj"
call buildproject.cmd DevExpress.Xpo.%dxver%.Compact ".\DevExpress.Xpo\DevExpress.Xpo.Compact\DevExpress.Xpo.Compact.csproj"

call buildproject.cmd DevExpress.Data.%dxver% ".\DevExpress.Data\DevExpress.Data.csproj"
call buildproject.cmd DevExpress.Utils.%dxver% ".\DevExpress.Utils\DevExpress.Utils.csproj"
call buildproject.cmd DevExpress.BonusSkins.%dxver% ".\DevExpress.BonusSkins\DevExpress.BonusSkins.csproj" 
call buildproject.cmd DevExpress.OfficeSkins.%dxver% ".\DevExpress.OfficeSkins\DevExpress.OfficeSkins.csproj" 
call buildproject.cmd DevExpress.XtraEditors.%dxver% ".\DevExpress.XtraEditors\DevExpress.XtraEditors\DevExpress.XtraEditors.csproj" 
call buildproject.cmd DevExpress.XtraEditors.%dxver%.Design ".\DevExpress.XtraEditors\DevExpress.XtraEditors.Design\DevExpress.XtraEditors.Design.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver% ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar\DevExpress.XtraNavBar.csproj" 
call buildproject.cmd DevExpress.XtraNavBar.%dxver%.Design ".\DevExpress.XtraNavBar\DevExpress.XtraNavBar.Design\DevExpress.XtraNavBar.Design.csproj" 
call buildproject.cmd DevExpress.XtraTreeList.%dxver% ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList\DevExpress.XtraTreeList.csproj" 
call buildproject.cmd DevExpress.XtraTreeList.%dxver%.Design ".\DevExpress.XtraTreeList\DevExpress.XtraTreeList.Design\DevExpress.XtraTreeList.Design.csproj" 
call buildproject.cmd DevExpress.Web.%dxver% ".\DevExpress.Web\DevExpress.Web.csproj"
call buildproject.cmd DevExpress.Web.ASPxDataControls.%dxver% ".\DevExpress.Web.ASPxDataControls\DevExpress.Web.ASPxDataControls.csproj"
call buildproject.cmd DevExpress.Web.ASPxGrid.%dxver% ".\DevExpress.Web.ASPxGrid\DevExpress.Web.ASPxGrid.csproj"
call buildproject.cmd DevExpress.Web.ASPxEditors.%dxver% ".\DevExpress.Web.ASPxEditors\DevExpress.Web.ASPxEditors.csproj"
call buildproject.cmd DevExpress.Web.ASPxGridView.%dxver% ".\DevExpress.Web.ASPxGridView\DevExpress.Web.ASPxGridView.csproj"
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver%.Core ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.Core\DevExpress.XtraPivotGrid.Core.csproj" 
call buildproject.cmd DevExpress.Web.ASPxPivotGrid.%dxver% ".\DevExpress.Web.ASPxPivotGrid\DevExpress.Web.ASPxPivotGrid.csproj"
call buildproject.cmd DevExpress.Xpo.%dxver% ".\DevExpress.Xpo\DevExpress.Xpo\DevExpress.Xpo.csproj" 
call buildproject.cmd DevExpress.Xpo.%dxver%.Design ".\DevExpress.Xpo\DevExpress.Xpo.Design\DevExpress.Xpo.Design.csproj" 
rem call buildproject.cmd DevExpress.Xpo.%dxver%.Providers ".\DevExpress.Xpo\DevExpress.Xpo.Providers\DevExpress.Xpo.Providers.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver% ".\DevExpress.XtraBars\DevExpress.XtraBars\DevExpress.XtraBars.csproj" 
call buildproject.cmd DevExpress.XtraBars.%dxver%.Design ".\DevExpress.XtraBars\DevExpress.XtraBars.Design\DevExpress.XtraBars.Design.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver% ".\DevExpress.XtraCharts\DevExpress.XtraCharts\DevExpress.XtraCharts.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.UI ".\DevExpress.XtraCharts\DevExpress.XtraCharts.UI\DevExpress.XtraCharts.UI.csproj" 
call buildproject.cmd DevExpress.XtraCharts.%dxver%.Design ".\DevExpress.XtraCharts\DevExpress.XtraCharts.Design\DevExpress.XtraCharts.Design.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver% ".\DevExpress.XtraGrid\DevExpress.XtraGrid\DevExpress.XtraGrid.csproj" 
call buildproject.cmd DevExpress.XtraGrid.%dxver%.Design ".\DevExpress.XtraGrid\DevExpress.XtraGrid.Design\DevExpress.XtraGrid.Design.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver% ".\DevExpress.XtraLayout\DevExpress.XtraLayout\DevExpress.XtraLayout.csproj" 
call buildproject.cmd DevExpress.XtraLayout.%dxver%.Design ".\DevExpress.XtraLayout\DevExpress.XtraLayout.Design\DevExpress.XtraLayout.Design.csproj" 
call buildproject.cmd DevExpress.XtraRichTextEdit.%dxver% ".\DevExpress.XtraRichTextEdit\DevExpress.XtraRichTextEdit\DevExpress.XtraRichTextEdit.csproj" 
call buildproject.cmd DevExpress.XtraPrinting.%dxver% ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting\DevExpress.XtraPrinting.csproj" 
call buildproject.cmd DevExpress.Web.ASPxGridView.%dxver%.Export ".\DevExpress.Web.ASPxGridView.Export\DevExpress.Web.ASPxGridView.Export.csproj"
call buildproject.cmd DevExpress.XtraPrinting.%dxver%.Design ".\DevExpress.XtraPrinting\DevExpress.XtraPrinting.Design\DevExpress.XtraPrinting.Design.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver% ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.csproj" 
call buildproject.cmd DevExpress.XtraPivotGrid.%dxver%.Design ".\DevExpress.XtraPivotGrid\DevExpress.XtraPivotGrid.Design\DevExpress.XtraPivotGrid.Design.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver% ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver% ".\DevExpress.XtraReports\DevExpress.XtraReports\DevExpress.XtraReports.csproj" 
call buildproject.cmd DevExpress.XtraReports.%dxver%.Design ".\DevExpress.XtraReports\DevExpress.XtraReports.Design\DevExpress.XtraReports.Design.csproj" 

PatchInternalVisibleTo.exe DevExpress.XtraScheduler\DevExpress.XtraScheduler.Core\AssemblyInfo.cs %sn% DevExpress.Key\StrongKey.snk
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.Core ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.Core\DevExpress.XtraScheduler.Core.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver% ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler\DevExpress.XtraScheduler.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.Design ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.Design\DevExpress.XtraScheduler.Design.csproj" 
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.OutlookExchange ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.OutlookExchange\DevExpress.XtraScheduler.OutlookExchange.csproj"
call buildproject.cmd DevExpress.XtraScheduler.%dxver%.VCalendarExchange ".\DevExpress.XtraScheduler\DevExpress.XtraScheduler.VCalendarExchange\DevExpress.XtraScheduler.VCalendarExchange.csproj"

call buildproject.cmd DevExpress.XtraSpellChecker.%dxver%.Core ".\DevExpress.XtraSpellChecker\DevExpress.XtraSpellChecker.Core\DevExpress.XtraSpellChecker.Core.csproj"
call buildproject.cmd DevExpress.XtraSpellChecker.%dxver% ".\DevExpress.XtraSpellChecker\DevExpress.XtraSpellChecker\DevExpress.XtraSpellChecker.csproj" 
call buildproject.cmd DevExpress.XtraSpellChecker.%dxver%.Design ".\DevExpress.XtraSpellChecker\DevExpress.XtraSpellChecker.Design\DevExpress.XtraSpellChecker.Design.csproj" 
call buildproject.cmd DevExpress.XtraVerticalGrid.%dxver%.Design ".\DevExpress.XtraVerticalGrid\DevExpress.XtraVerticalGrid.Design\DevExpress.XtraVerticalGrid.Design.csproj" 
call buildproject.cmd DevExpress.Tutorials.%dxver% ".\DevExpress.Tutorials\DevExpress.Tutorials.csproj"

%sn% -q -T DevExpress.Dll\DevExpress.Data.%dxver%.dll >PublicKeyToken.txt

echo -------------------------------
echo All done
pause

